#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "Templates/SubclassOf.h"
#include "UObject/NoExportTypes.h"
#include "Addon_DreamInducer_ClassPhoto.generated.h"

class UTargetableComponent;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THENIGHTMARE_API UAddon_DreamInducer_ClassPhoto : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UTargetableComponent> _teleportEscapeDoorTargetClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FVector _teleportLocationFinderOffset;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	TArray<UTargetableComponent*> _teleportTargets;

public:
	UAddon_DreamInducer_ClassPhoto();
};

FORCEINLINE uint32 GetTypeHash(const UAddon_DreamInducer_ClassPhoto) { return 0; }
